Subject: Re: bug#49247: 28.0.50; [Feature Request] Make tab-bar-lines dragable

From: Juri Linkov <[email-masked]>
Date: Mon, 05 Jul 2021 23:54:23 +0300

>> BTW, during frame dragging, window managers change the mouse pointer to
>> ‘hand’.  But Emacs frame dragging doesn't change the mouse pointer.
>> Is it possible to change the mouse pointer also while dragging the
>> frame from Emacs?
>
> I've tried to do that now.  Please have a look.

Thanks, now it's better looking.  There is only small difference:
frame dragging displays a hand with the pointing index finger (hand_cursor),
but some window managers display a hand without fingers (closed_hand_cursor).
I guess there is no such icon in Emacs.

But there is a more serious problem: the implementation of
'drag-with-tab-line' now closes the tab even after just
clicking on it to select (not on the close button).
I can reproduce this only when one of tabs on the tab-line
contains an *info* buffer (maybe because it has the header-line?)

The problem doesn't exist after evaluating:
  (global-unset-key [tab-line down-mouse-1])
I haven't debugged it yet.